* [meta-selinux][PATCH 1/2] dhcp: make a copy of init-server
2014-06-06 10:00 [meta-selinux][PATCH 0/2] dhcp: restorecon for dhcpd*.leases from initscript wenzong.fan
@ 2014-06-06 10:00 ` wenzong.fan
0 siblings, 0 replies; 4+ messages in thread
From: wenzong.fan @ 2014-06-06 10:00 UTC (permalink / raw)
To: yocto, xin.ouyang, mark.hatle
From: Wenzong Fan <wenzong.fan@windriver.com>
Signed-off-by: Wenzong Fan <wenzong.fan@windriver.com>
---
recipes-connectivity/dhcp/dhcp_4.2.5-P1.bbappend | 3 ++
recipes-connectivity/dhcp/files/init-server | 44 ++++++++++++++++++++++
2 files changed, 47 insertions(+)
create mode 100644 recipes-connectivity/dhcp/dhcp_4.2.5-P1.bbappend
create mode 100644 recipes-connectivity/dhcp/files/init-server
diff --git a/recipes-connectivity/dhcp/dhcp_4.2.5-P1.bbappend b/recipes-connectivity/dhcp/dhcp_4.2.5-P1.bbappend
new file mode 100644
index 0000000..900c2aa
--- /dev/null
+++ b/recipes-connectivity/dhcp/dhcp_4.2.5-P1.bbappend
@@ -0,0 +1,3 @@
+inherit with-selinux
+
+FILESEXTRAPATHS_prepend := "${@target_selinux(d, '${THISDIR}/files:')}"
diff --git a/recipes-connectivity/dhcp/files/init-server b/recipes-connectivity/dhcp/files/init-server
new file mode 100644
index 0000000..34c2085
--- /dev/null
+++ b/recipes-connectivity/dhcp/files/init-server
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
+#
+
+test -f /usr/sbin/dhcpd || exit 0
+
+# It is not safe to start if we don't have a default configuration...
+if [ ! -f /etc/default/dhcp-server ]; then
+ echo "/etc/default/dhcp-server does not exist! - Aborting..."
+ exit 0
+fi
+
+# Read init script configuration (so far only interfaces the daemon
+# should listen on.)
+. /etc/default/dhcp-server
+
+case "$1" in
+ start)
+ echo -n "Starting DHCP server: "
+ test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
+ test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
+ start-stop-daemon -S -x /usr/sbin/dhcpd -- -q $INTERFACES
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping DHCP server: dhcpd3"
+ start-stop-daemon -K -x /usr/sbin/dhcpd
+ echo "."
+ ;;
+ restart | force-reload)
+ $0 stop
+ sleep 2
+ $0 start
+ if [ "$?" != "0" ]; then
+ exit 1
+ fi
+ ;;
+ *)
+ echo "Usage: /etc/init.d/dhcp-server {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0
--
1.7.9.5
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [meta-selinux][PATCH 1/2] dhcp: make a copy of init-server
@ 2014-06-16 1:38 wenzong.fan
2014-06-16 1:38 ` [meta-selinux][PATCH 2/2] dhcp/init-server: restorecon for dhcpd*.leases wenzong.fan
2014-06-23 6:31 ` [meta-selinux][PATCH 1/2] dhcp: make a copy of init-server Pascal Ouyang
0 siblings, 2 replies; 4+ messages in thread
From: wenzong.fan @ 2014-06-16 1:38 UTC (permalink / raw)
To: yocto, Xin.Ouyang, mark.hatle
From: Wenzong Fan <wenzong.fan@windriver.com>
Signed-off-by: Wenzong Fan <wenzong.fan@windriver.com>
---
recipes-connectivity/dhcp/dhcp_4.3.0.bbappend | 3 ++
recipes-connectivity/dhcp/files/init-server | 44 +++++++++++++++++++++++++
2 files changed, 47 insertions(+)
create mode 100644 recipes-connectivity/dhcp/dhcp_4.3.0.bbappend
create mode 100644 recipes-connectivity/dhcp/files/init-server
diff --git a/recipes-connectivity/dhcp/dhcp_4.3.0.bbappend b/recipes-connectivity/dhcp/dhcp_4.3.0.bbappend
new file mode 100644
index 0000000..900c2aa
--- /dev/null
+++ b/recipes-connectivity/dhcp/dhcp_4.3.0.bbappend
@@ -0,0 +1,3 @@
+inherit with-selinux
+
+FILESEXTRAPATHS_prepend := "${@target_selinux(d, '${THISDIR}/files:')}"
diff --git a/recipes-connectivity/dhcp/files/init-server b/recipes-connectivity/dhcp/files/init-server
new file mode 100644
index 0000000..34c2085
--- /dev/null
+++ b/recipes-connectivity/dhcp/files/init-server
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
+#
+
+test -f /usr/sbin/dhcpd || exit 0
+
+# It is not safe to start if we don't have a default configuration...
+if [ ! -f /etc/default/dhcp-server ]; then
+ echo "/etc/default/dhcp-server does not exist! - Aborting..."
+ exit 0
+fi
+
+# Read init script configuration (so far only interfaces the daemon
+# should listen on.)
+. /etc/default/dhcp-server
+
+case "$1" in
+ start)
+ echo -n "Starting DHCP server: "
+ test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
+ test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
+ start-stop-daemon -S -x /usr/sbin/dhcpd -- -q $INTERFACES
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping DHCP server: dhcpd3"
+ start-stop-daemon -K -x /usr/sbin/dhcpd
+ echo "."
+ ;;
+ restart | force-reload)
+ $0 stop
+ sleep 2
+ $0 start
+ if [ "$?" != "0" ]; then
+ exit 1
+ fi
+ ;;
+ *)
+ echo "Usage: /etc/init.d/dhcp-server {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0
--
1.7.9.5
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [meta-selinux][PATCH 2/2] dhcp/init-server: restorecon for dhcpd*.leases
2014-06-16 1:38 [meta-selinux][PATCH 1/2] dhcp: make a copy of init-server wenzong.fan
@ 2014-06-16 1:38 ` wenzong.fan
2014-06-23 6:31 ` [meta-selinux][PATCH 1/2] dhcp: make a copy of init-server Pascal Ouyang
1 sibling, 0 replies; 4+ messages in thread
From: wenzong.fan @ 2014-06-16 1:38 UTC (permalink / raw)
To: yocto, Xin.Ouyang, mark.hatle
From: Wenzong Fan <wenzong.fan@windriver.com>
dhcp-server fails to start with avc denied error:
avc: denied { read } for pid=571 comm="dhcpd" \
name="dhcpd.leases" dev="hda" ino=63911 \
scontext=system_u:system_r:dhcpd_t:s0-s15:c0.c1023 \
tcontext=system_u:object_r:dhcp_state_t:s0 tclass=file
The type for dhcpd.leases is not correct, just fix it before dhcp-
server started.
Signed-off-by: Wenzong Fan <wenzong.fan@windriver.com>
---
recipes-connectivity/dhcp/files/init-server | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/recipes-connectivity/dhcp/files/init-server b/recipes-connectivity/dhcp/files/init-server
index 34c2085..1d03d7e 100644
--- a/recipes-connectivity/dhcp/files/init-server
+++ b/recipes-connectivity/dhcp/files/init-server
@@ -15,11 +15,19 @@ fi
# should listen on.)
. /etc/default/dhcp-server
+# Restorecon for /var/lib/dhcp/{dhcpd.leases,dhcpd6.leases}
+restorecon_dhcpd_leases(){
+ test ! -x /sbin/restorecon || for x in dhcpd.leases dhcpd6.leases; do
+ [ -f /var/lib/dhcp/$x ] && /sbin/restorecon -F /var/lib/dhcp/$x
+ done
+}
+
case "$1" in
start)
echo -n "Starting DHCP server: "
test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
+ restorecon_dhcpd_leases
start-stop-daemon -S -x /usr/sbin/dhcpd -- -q $INTERFACES
echo "."
;;
--
1.7.9.5
^ permalink raw reply related [flat|nested] 4+ messages in thread
* Re: [meta-selinux][PATCH 1/2] dhcp: make a copy of init-server
2014-06-16 1:38 [meta-selinux][PATCH 1/2] dhcp: make a copy of init-server wenzong.fan
2014-06-16 1:38 ` [meta-selinux][PATCH 2/2] dhcp/init-server: restorecon for dhcpd*.leases wenzong.fan
@ 2014-06-23 6:31 ` Pascal Ouyang
1 sibling, 0 replies; 4+ messages in thread
From: Pascal Ouyang @ 2014-06-23 6:31 UTC (permalink / raw)
To: wenzong.fan, yocto, mark.hatle
于 14-6-16 上午9:38, wenzong.fan@windriver.com 写道:
> From: Wenzong Fan <wenzong.fan@windriver.com>
>
> Signed-off-by: Wenzong Fan <wenzong.fan@windriver.com>
> ---
> recipes-connectivity/dhcp/dhcp_4.3.0.bbappend | 3 ++
> recipes-connectivity/dhcp/files/init-server | 44 +++++++++++++++++++++++++
> 2 files changed, 47 insertions(+)
> create mode 100644 recipes-connectivity/dhcp/dhcp_4.3.0.bbappend
> create mode 100644 recipes-connectivity/dhcp/files/init-server
>
> diff --git a/recipes-connectivity/dhcp/dhcp_4.3.0.bbappend b/recipes-connectivity/dhcp/dhcp_4.3.0.bbappend
> new file mode 100644
> index 0000000..900c2aa
> --- /dev/null
> +++ b/recipes-connectivity/dhcp/dhcp_4.3.0.bbappend
> @@ -0,0 +1,3 @@
> +inherit with-selinux
> +
> +FILESEXTRAPATHS_prepend := "${@target_selinux(d, '${THISDIR}/files:')}"
> diff --git a/recipes-connectivity/dhcp/files/init-server b/recipes-connectivity/dhcp/files/init-server
> new file mode 100644
> index 0000000..34c2085
> --- /dev/null
> +++ b/recipes-connectivity/dhcp/files/init-server
> @@ -0,0 +1,44 @@
> +#!/bin/sh
> +#
> +# $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
> +#
> +
> +test -f /usr/sbin/dhcpd || exit 0
> +
> +# It is not safe to start if we don't have a default configuration...
> +if [ ! -f /etc/default/dhcp-server ]; then
> + echo "/etc/default/dhcp-server does not exist! - Aborting..."
> + exit 0
> +fi
> +
> +# Read init script configuration (so far only interfaces the daemon
> +# should listen on.)
> +. /etc/default/dhcp-server
> +
> +case "$1" in
> + start)
> + echo -n "Starting DHCP server: "
> + test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
> + test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
> + start-stop-daemon -S -x /usr/sbin/dhcpd -- -q $INTERFACES
> + echo "."
> + ;;
> + stop)
> + echo -n "Stopping DHCP server: dhcpd3"
> + start-stop-daemon -K -x /usr/sbin/dhcpd
> + echo "."
> + ;;
> + restart | force-reload)
> + $0 stop
> + sleep 2
> + $0 start
> + if [ "$?" != "0" ]; then
> + exit 1
> + fi
> + ;;
> + *)
> + echo "Usage: /etc/init.d/dhcp-server {start|stop|restart|force-reload}"
> + exit 1
> +esac
> +
> +exit 0
>
Merged, thanks. :)
--
- Pascal
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2014-06-23 6:31 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-06-16 1:38 [meta-selinux][PATCH 1/2] dhcp: make a copy of init-server wenzong.fan
2014-06-16 1:38 ` [meta-selinux][PATCH 2/2] dhcp/init-server: restorecon for dhcpd*.leases wenzong.fan
2014-06-23 6:31 ` [meta-selinux][PATCH 1/2] dhcp: make a copy of init-server Pascal Ouyang
-- strict thread matches above, loose matches on Subject: below --
2014-06-06 10:00 [meta-selinux][PATCH 0/2] dhcp: restorecon for dhcpd*.leases from initscript wenzong.fan
2014-06-06 10:00 ` [meta-selinux][PATCH 1/2] dhcp: make a copy of init-server wenzong.fan
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.